Package org.opensaml.xmlsec.signature.support

# Class DocumentInternalIDContentReference

java.lang.Object
org.opensaml.xmlsec.signature.support.URIContentReference
org.opensaml.xmlsec.signature.support.DocumentInternalIDContentReference

All Implemented Interfaces:
  `ConfigurableContentReference`, `ContentReference`, `TransformsConfigurableContentReference`

public class DocumentInternalIDContentReference extends URIContentReference
A content reference that references Elements withing the same document by ID attribute. That is the reference is `#ID` where ID is the value of the ID attribute of the Element.

## Constructor Summary

Constructors
Constructor
Description
`DocumentInternalIDContentReference(String referenceID)`
Constructor.

## Method Summary

### Methods inherited from class org.opensaml.xmlsec.signature.support.URIContentReference

`createReference, getDigestAlgorithm, getTransforms, setDigestAlgorithm`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DocumentInternalIDContentReference

public DocumentInternalIDContentReference(@Nonnull String referenceID)
Constructor. The anchor designator (#) must not be included in the ID.

Parameters:
  `referenceID` - the reference ID of the element to be signed